<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><link rel="canonical" href="https://example.com/beacon-registry/" />
      <link rel="shortcut icon" href="../img/favicon.ico" />
    <title>Registry - ELIXIR Beacon v2 Network Documentation</title>
    <link rel="stylesheet" href="../css/theme.css" />
    <link rel="stylesheet" href="../css/theme_extra.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/styles/github.min.css" />
    
      <script>
        // Current page data
        var mkdocs_page_name = "Registry";
        var mkdocs_page_input_path = "beacon-registry.md";
        var mkdocs_page_url = "/beacon-registry/";
      </script>
    
    <script src="../js/jquery-3.6.0.min.js" defer></script>
    <!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
    <![endif]-->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/highlight.min.js"></script>
      <script>hljs.initHighlightingOnLoad();</script> 
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
          <a href=".." class="icon icon-home"> ELIXIR Beacon v2 Network Documentation
        </a><div role="search">
  <form id ="rtd-search-form" class="wy-form" action="../search.html" method="get">
      <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="..">Home</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../light-beacon-network/">Light a Beacon Network</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../beacon-aggregator/">Aggregator</a>
                </li>
              </ul>
              <ul class="current">
                <li class="toctree-l1 current"><a class="reference internal current" href="./">Registry</a>
    <ul class="current">
    <li class="toctree-l2"><a class="reference internal" href="#status">Status</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#cache">Cache</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#update-registry">Update Registry</a>
    </li>
    </ul>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../best-practices/">Best practices</a>
                </li>
              </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">
      <nav class="wy-nav-top" role="navigation" aria-label="Mobile navigation menu">
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="..">ELIXIR Beacon v2 Network Documentation</a>
        
      </nav>
      <div class="wy-nav-content">
        <div class="rst-content"><div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href=".." class="icon icon-home" aria-label="Docs"></a> &raquo;</li>
      <li>Registry</li>
    <li class="wy-breadcrumbs-aside">
    </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
            <div class="section" itemprop="articleBody">
              
                <h1 id="beacon-registry">Beacon Registry</h1>
<p>The role of the Beacon registry is to check the Beacons available in the network and gather their basic information. </p>
<h2 id="status">Status</h2>
<p>There is a need to implement a heartbeat mechanism that regularly checks the status of the Beacons in the network. This ensures the availability of the different Beacons when querying.</p>
<h2 id="cache">Cache</h2>
<p>The cache of the registry store the following information about the Beacons:</p>
<ul>
<li>
<p>Entry types available to search.</p>
</li>
<li>
<p>Type of schemas for representing data and metadata.</p>
</li>
<li>
<p>Filtering terms that the Beacon support.</p>
</li>
<li>
<p>Authentication/Authorization mechanism needed to ensure that only authorized users access the data.</p>
</li>
</ul>
<p>As it can be seen, the data stored in the cache is directly related with the queries policy. So, it needs to be updated every time there is a change in any Beacon.</p>
<h2 id="update-registry">Update Registry</h2>
<p>Beacon Aggregator will check if the <code>updateDateTime</code> property has changed since the last time a Beacon has been updated. If true, I will reload again all the cache of such Beacon.</p>
              
            </div>
          </div><footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="Footer Navigation">
        <a href="../beacon-aggregator/" class="btn btn-neutral float-left" title="Aggregator"><span class="icon icon-circle-arrow-left"></span> Previous</a>
        <a href="../best-practices/" class="btn btn-neutral float-right" title="Best practices">Next <span class="icon icon-circle-arrow-right"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
          
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="Versions">
  <span class="rst-current-version" data-toggle="rst-current-version">
    
    
      <span><a href="../beacon-aggregator/" style="color: #fcfcfc">&laquo; Previous</a></span>
    
    
      <span><a href="../best-practices/" style="color: #fcfcfc">Next &raquo;</a></span>
    
  </span>
</div>
    <script>var base_url = '..';</script>
    <script src="../js/theme_extra.js" defer></script>
    <script src="../js/theme.js" defer></script>
      <script src="../search/main.js" defer></script>
    <script defer>
        window.onload = function () {
            SphinxRtdTheme.Navigation.enable(true);
        };
    </script>

</body>
</html>
